#if !defined(AFX_CTRLMAPDLG_H__3C0946AF_27CF_4171_9650_BA3005F54597__INCLUDED_)
#define AFX_CTRLMAPDLG_H__3C0946AF_27CF_4171_9650_BA3005F54597__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CtrlMapDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CtrlMapDlg dialog

class CtrlMapDlg : public CDialog
{
// Construction
public:
	CtrlMapDlg(class CtrlMap *map, class Doc *doc);

	class CtrlMap *mMap;
	class Doc *mDoc;

	int mTimer;

// Dialog Data
	//{{AFX_DATA(CtrlMapDlg)
	enum { IDD = IDD_CTRL_MAP };
	CStatic	mStaticOut2;
	CStatic	mStaticOut1;
	CStatic	mStaticIn2;
	CStatic	mStaticIn1;
	CStatic	mPosTextOut2;
	CStatic	mPosTextOut1;
	CProgressCtrl	mPosBarOut2;
	CProgressCtrl	mPosBarOut1;
	CSliderCtrl	mMinSliderOut2;
	CSliderCtrl	mMinSliderOut1;
	CSliderCtrl	mMinSliderIn2;
	CSliderCtrl	mMinSliderIn1;
	CEdit	mMinEditOut2;
	CEdit	mMinEditOut1;
	CEdit	mMinEditIn2;
	CEdit	mMinEditIn1;
	CSliderCtrl	mMaxSliderOut2;
	CSliderCtrl	mMaxSliderOut1;
	CSliderCtrl	mMaxSliderIn2;
	CSliderCtrl	mMaxSliderIn1;
	CEdit	mMaxEditOut2;
	CEdit	mMaxEditOut1;
	CEdit	mMaxEditIn2;
	CEdit	mMaxEditIn1;
	CComboBox	mCtrlOut2;
	CComboBox	mCtrlOut1;
	CListBox	mCtrlIn;
	CStatic	mPosTextIn;
	CProgressCtrl	mPosBarIn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CtrlMapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CtrlMapDlg)
	afx_msg void OnDestroy();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSelchangeCtrlOut1();
	afx_msg void OnSelchangeCtrlOut2();
	afx_msg void OnChangeMaxEditIn1();
	afx_msg void OnChangeMaxEditIn2();
	afx_msg void OnChangeMaxEditOut1();
	afx_msg void OnChangeMaxEditOut2();
	afx_msg void OnChangeMinEditIn1();
	afx_msg void OnChangeMinEditIn2();
	afx_msg void OnChangeMinEditOut1();
	afx_msg void OnChangeMinEditOut2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CTRLMAPDLG_H__3C0946AF_27CF_4171_9650_BA3005F54597__INCLUDED_)
