// MidiFish.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "MidiFish.h"
#include "MidiFishDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MidiFishApp

BEGIN_MESSAGE_MAP(MidiFishApp, CWinApp)
	//{{AFX_MSG_MAP(MidiFishApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MidiFishApp construction

MidiFishApp::MidiFishApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only MidiFishApp object

MidiFishApp theApp;

/////////////////////////////////////////////////////////////////////////////
// MidiFishApp initialization

BOOL MidiFishApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	free((void *)theApp.m_pszAppName);
	theApp.m_pszAppName = strdup("Midi Fish");

	SetRegistryKey("Shawn Hargreaves");

	MidiFishDlg dlg;
	m_pMainWnd = &dlg;

	int nResponse = dlg.DoModal();

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}



void fputl(int l, FILE *file)
{
	fputc((l >> 24) & 0xFF, file);
	fputc((l >> 16) & 0xFF, file);
	fputc((l >> 8)  & 0xFF, file);
	fputc((l >> 0)  & 0xFF, file);
}



int fgetl(FILE *file)
{
	int l = 0;

	l |= (int)fgetc(file) << 24;
	l |= (int)fgetc(file) << 16;
	l |= (int)fgetc(file) << 8;
	l |= (int)fgetc(file) << 0;

	return l;
}

